/***************************************************************************
* $Id$
**
* Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
* This file is part of an example program for Qt.  This example
* program may be used, distributed and modified without limitation.
**
****************************************************************************/
import org.trinitydesktop.qt.*;

public class Main {


public static void main( String[] args )
{
    TQApplication.setColorSpec( TQApplication.ManyColor );
    TQApplication a = new TQApplication(args);

    String home = null;
    if (args.length > 0)
        home = args[0];
//    else
//        home = System.getenv("TQTDIR") + "/doc/html/index.html";

    
    HelpWindow help = new HelpWindow(home, ".", null, "help viewer");
    help.setCaption("Qt Example - Helpviewer");
    if ( TQApplication.desktop().width() > 400
	 && TQApplication.desktop().height() > 500 )
	help.show();
    else
	help.showMaximized();

    TQObject.connect( a, Qt.SIGNAL("aboutToQuit()"),
                      help, Qt.SLOT("cleanUp()") );
    TQObject.connect( a, Qt.SIGNAL("lastWindowClosed()"),
                      a, Qt.SLOT("quit()") );

    a.exec();
	return;
}

static {
	qtjava.initialize();
}

}
